Package com.independentsoft.office.word.math

# Class Phantom

java.lang.Object
com.independentsoft.office.word.math.Phantom

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class Phantom extends Object implements IMathMathElement
The Class Phantom.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Phantom()`
  Instantiates a new phantom.
  `Phantom​(InternalXMLStreamReader reader)`
  Instantiates a new phantom.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Phantom`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getShow()`
  Gets the show.
  `ExtendedBoolean`
  `getTransparent()`
  Gets the transparent.
  `ExtendedBoolean`
  `getZeroAscent()`
  Gets the zero ascent.
  `ExtendedBoolean`
  `getZeroDescent()`
  Gets the zero descent.
  `ExtendedBoolean`
  `getZeroWidth()`
  Gets the zero width.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `void`
  `setShow​(ExtendedBoolean show)`
  Sets the show.
  `void`
  `setTransparent​(ExtendedBoolean transparent)`
  Sets the transparent.
  `void`
  `setZeroAscent​(ExtendedBoolean zeroAscent)`
  Sets the zero ascent.
  `void`
  `setZeroDescent​(ExtendedBoolean zeroDescent)`
  Sets the zero descent.
  `void`
  `setZeroWidth​(ExtendedBoolean zeroWidth)`
  Sets the zero width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Phantom

    public Phantom()
    Instantiates a new phantom.

  - ### Phantom

    public Phantom​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new phantom.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Phantom clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getShow

    public ExtendedBoolean getShow()
    Gets the show.
    Returns:
      the show

  - ### setShow

    public void setShow​(ExtendedBoolean show)
    Sets the show.
    Parameters:
      `show` - the new show

  - ### getTransparent

    public ExtendedBoolean getTransparent()
    Gets the transparent.
    Returns:
      the transparent

  - ### setTransparent

    public void setTransparent​(ExtendedBoolean transparent)
    Sets the transparent.
    Parameters:
      `transparent` - the new transparent

  - ### getZeroAscent

    public ExtendedBoolean getZeroAscent()
    Gets the zero ascent.
    Returns:
      the zero ascent

  - ### setZeroAscent

    public void setZeroAscent​(ExtendedBoolean zeroAscent)
    Sets the zero ascent.
    Parameters:
      `zeroAscent` - the new zero ascent

  - ### getZeroDescent

    public ExtendedBoolean getZeroDescent()
    Gets the zero descent.
    Returns:
      the zero descent

  - ### setZeroDescent

    public void setZeroDescent​(ExtendedBoolean zeroDescent)
    Sets the zero descent.
    Parameters:
      `zeroDescent` - the new zero descent

  - ### getZeroWidth

    public ExtendedBoolean getZeroWidth()
    Gets the zero width.
    Returns:
      the zero width

  - ### setZeroWidth

    public void setZeroWidth​(ExtendedBoolean zeroWidth)
    Sets the zero width.
    Parameters:
      `zeroWidth` - the new zero width

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties